FCC(1)

NAME
fcc - fast CC-compatible C compiler

SYNOPSIS
fcc [ -c ] [ -v ] [ -vn ] [ -Dname ] [ -Dname=def ] [ -Ipathname ] [ -w ] [ -o outfile ] [ -R ] [ -Uname ] [ -Mcompiler ] sourcefile ...

DESCRIPTION

Fcc is a fast C compiler. It translates C programs into cc(1)-compatible relocatable object modules, and does so in one pass. Then, if the -c flag is not given, fcc offers the object modules to a link-editor, to create an executable binary.

Fcc accepts several types of filename arguments. Files with names ending in .c are taken to be C source programs. They are compiled, and the resulting object module is placed in the current directory. The object module is named after its source file, the suffix .o replacing .c in the name of the object.

Other arguments refer to loader options, object modules, or object libraries. Unless the -c flag is given, these modules and libraries, together with the results of any specified compilations, are passed (in the order given) to the link-editor to produce an output file named a.out. You can specify a name for the executable by using the -o option.

OPTIONS

The -llib, -n, -N, -r, -s, -S, and -u options are passed to the link-editor program. The -u option takes an extra argument.

-c
    Suppress the loading phase of the compilation, and force an object module to be produced, even if only one program is compiled. A single object module can be named explicitly using the -o option.

-Dname=def
    Define a symbol name to the preprocessor, as if by "#define".

-Dname
    same as -Dname=1.

-Ipathname
    Add pathname to the list of directories in which to search for #include files with filenames not beginning with slash. The compiler first searches for #include files in the directory containing sourcefile, then in directories in -I options, and finally, in /usr/include.

-o output
    Name the final output file output.

-Uname
    Remove any initial definition of name.

-v
    Verbose. Print the commands as they are executed.

-vn
    Verbose, no execute. Only print the commands, do not execute them.

-w  suppress warning messages.

-R
    test for more compatibility with Kernighan & Ritchie C [1].

-Mcompiler
    use compiler as C-2 compiler instead of the default.

Object modules produced by cc(1) and fcc can be freely mixed, as long as the link-editor is called through fcc.

SEE ALSO

[1] B.W. Kernighan, D. Ritchie, "The C programming Language", Prentice-Hall Inc., 1978

[2] E.H. Baalbergen, "The ACK CEM compiler".

[3] cc(1) unix manual page.

DIAGNOSTICS
Diagnostics are intended to be self-explanatory.